Skip to main content
GET
/
v1
/
periodic-emission-log-configs
/
{id}
/
versions
/
{version_id}
Get a specific config version
curl --request GET \
  --url https://api.cula.tech/tracking/v1/v1/periodic-emission-log-configs/{id}/versions/{version_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "ecv_01kqzcjrpyf27tgemk9fzf8yr6",
  "config_id": "elc_01kqzcjrpyf27tgekeyq3qzm7d",
  "next_version_id": null,
  "name": "Monthly Electricity Consumption",
  "published_at": "2026-01-15T08:00:00Z",
  "data_point_configs": [
    {
      "id": "dpc_01kqzcjrpyf27tgex1hkzm2wxp",
      "name": "Capture electricity",
      "type": "amount",
      "is_mandatory": true,
      "has_dependencies": false,
      "amount_base": "watt_hours"
    },
    {
      "id": "dpc_01kqzcjrpyf27tgex3a94z1yhz",
      "name": "Peak demand",
      "type": "amount",
      "is_mandatory": false,
      "has_dependencies": false,
      "amount_base": "watt_hours"
    },
    {
      "id": "dpc_01kqzcjrpyf27tgex5b05a2cbs",
      "name": "Natural gas",
      "type": "amount",
      "is_mandatory": false,
      "has_dependencies": false,
      "amount_base": "watt_hours"
    },
    {
      "id": "dpc_01kqzcjrpyf27tgex7c16b3dct",
      "name": "REC quantity",
      "type": "amount",
      "is_mandatory": false,
      "has_dependencies": false,
      "amount_base": "watt_hours"
    },
    {
      "id": "dpc_01kqzcjrpyf27tgex9d27c4edu",
      "name": "REC registry",
      "type": "short_text",
      "is_mandatory": false,
      "has_dependencies": false
    },
    {
      "id": "dpc_01kqzcjrpyf27tgexbd38d5fev",
      "name": "REC retirement ID",
      "type": "short_text",
      "is_mandatory": false,
      "has_dependencies": false
    }
  ],
  "linked_step_configs": [
    {
      "id": "stc_01kqzcjrpyf27tgeevggzctpyk",
      "name": "Biomass Processing"
    }
  ],
  "schema": {
    "$schema": "https://json-schema.org/draft/2020-12/schema",
    "type": "object",
    "required": [
      "config_id",
      "site",
      "period_start",
      "period_end"
    ],
    "properties": {
      "data_points": {
        "type": "array",
        "x-required-config-ids": [
          "dpc_01kqzcjrpyf27tgex1hkzm2wxp"
        ]
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cula.tech/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as a Bearer token. Keys are scoped to one organisation and a set of permitted sites. Two keys per scope (primary + secondary) are issued to support zero-downtime rotation.

Authorization: Bearer <api-key>

Path Parameters

id
string
required

Cula-assigned resource ID in TypeID format (e.g. stp_01kqzcjrpxf27tge33jwvjhkff). Alternatively, pass your external ID prefixed with ext- (e.g. ext-MY-STEP-001). The ext- prefix is unambiguous because TypeIDs use _ separators and never start with ext-.

version_id
string
required

Config version ID.

Response

Config version detail.

A published version of a periodic emission log config. Contains all the information a partner needs to construct a valid emission log request: expected data points and linked step configs.

id
string
required

Config version ID.

Example:

"ecv_01kqzcjrpyf27tgemk9fzf8yr6"

config_id
string
required

Parent config ID.

Example:

"elc_01kqzcjrpyf27tgekeyq3qzm7d"

name
string
required

Human-readable name of this config version.

Example:

"Monthly Electricity Consumption"

published_at
string<date-time>
required

When this version was published.

Example:

"2026-01-15T08:00:00Z"

data_point_configs
object[]
required

Emission-log-level data point configs. Use these id values as config_id in the data_points array when creating an emission log.

linked_step_configs
object[]
required

Step configs that this emission log config is linked to. Emission logs created with this config will be associated with step executions of these step configs.

next_version_id
string | null

ID of the next version in the chain. Null if this is the active (latest published) version.

Example:

null

schema
object

JSON Schema (draft 2020-12) describing the expected request body shape for creating a runtime resource with this config version. The schema encodes which data points are required. Partners can use this for client-side validation before sending requests. See Request body schema for details on how to use this field.

Example:
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"required": [
"config_id",
"site",
"period_start",
"period_end"
],
"properties": {
"data_points": {
"type": "array",
"description": "Emission-log-level data points",
"x-required-config-ids": ["dpc_01kqzcjrpyf27tgex1hkzm2wxp"]
}
}
}